Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.task
Class ConvertingDatabaseCommand

    java.lang.Object
      org.apache.ddlutils.task.Command
          org.apache.ddlutils.task.DatabaseCommand
              org.apache.ddlutils.task.ConvertingDatabaseCommand

Direct Known Subclasses:
  WriteDataToDatabaseCommand, WriteDataToFileCommand

    public abstract class ConvertingDatabaseCommand

extends DatabaseCommand

Base type for database commands that use converters.

Version:
  $Revision: 289996 $

Field Summary

Fields inherited from class org.apache.ddlutils.task.Command
`_log`

Constructor Summary
`ConvertingDatabaseCommand()`

Method Summary
`void` | `addConfiguredConverter(DataConverterRegistration converterRegistration)` Registers a converter.
`protected DatabaseDataIO` | `getDataIO()` Returns the database data io object.

Methods inherited from class org.apache.ddlutils.task.DatabaseCommand
`getCatalogPattern, getDatabaseType, getDataSource, getPlatform, getSchemaPattern, isRequiringModel, setPlatformConfiguration`

Methods inherited from class org.apache.ddlutils.task.Command
`execute, handleException, isFailOnError, setFailOnError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertingDatabaseCommand

    public ConvertingDatabaseCommand()

Method Detail

### getDataIO

    protected DatabaseDataIO getDataIO()

  Returns the database data io object.

  Returns:
    The data io object

### addConfiguredConverter

    public void addConfiguredConverter(DataConverterRegistration converterRegistration)

  Registers a converter.

  Parameters:
    `converterRegistration` - The registration info

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.